Retrieve folder
curl --request GET \
--url https://api.uselora.com/v1/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselora.com/v1/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselora.com/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isSystem": true,
"workspaceId": "<string>",
"creatorId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"code": "plan_requires_upgrade",
"requestId": "<string>",
"traceId": "<string>",
"current_plan": "<string>",
"required_capability": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"code": "internal_error",
"requestId": "<string>",
"traceId": "<string>"
}Folders
Retrieve folder
Returns a folder by its ID.
GET
/
v1
/
folders
/
{id}
Retrieve folder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The folder's unique ID.
Pattern:
^[0-9abcdefghjkmnpqrstvwxyz]{8}$Example:
"a1b2c3d4"
Response
The folder.
A folder.
The folder's unique ID.
Pattern:
^[0-9abcdefghjkmnpqrstvwxyz]{8}$Example:
"a1b2c3d4"
True for built-in folders such as the workspace default. Folders you create are always false.
ID of the workspace the folder belongs to.
ID of the user who created the folder.
ISO 8601 creation timestamp.
ISO 8601 timestamp of the last update.
Was this page helpful?